QGIS Application - Bug report #19951
Edit mode doesn't work when ogr vector layers have filters
2018-09-26 10:13 AM - Loic BARTOLETTI

Status: Closed

Priority: Normal

Assignee:

Category: Editing

Affected QGIS version:3.3(master) Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 27773
Description

When you add a filter to a layer?, the editing mode is disabled

[1] Confirmed on a geopackage but not with postgis

Ref #16027

Related issues:

Related to QGIS Application - Bug report # 16027: Editing GeoPackage from DWG... Closed 2017-01-02
Duplicates QGIS Application - Feature request # 18428: Editing of a filtered ... Open 2018-03-13
History

#1 - 2018-09-26 10:19 AM - Giovanni Manghi
- Status changed from Open to Feedback

see #18428-3

#2 - 2018-09-26 10:36 AM - Regis Haubourg

- Subject changed from Edit mode doesn't works when layers have filters to Edit mode doesn't work when layers have filters

#3 - 2018-09-26 10:39 AM - Regis Haubourg
- Subject changed from Edit mode doesn't work when layers have filters to Edit mode doesn't work when ogr vector layers have filters

- Status changed from Feedback to Closed

This concerns OGR provider, not database providers.
If you add gpkg using vector layer Ul or drag/drop, this is read by OGR.
This is a duplicate of #18428-3 feature request then.

#4 - 2018-09-26 11:23 PM - Jiirgen Fischer

- Description updated

#5 - 2018-09-27 07:32 AM - Alessandro Pasotti
- Duplicates Feature request #18428: Editing of a filtered OGR vector layer added

#6 - 2019-01-29 02:30 PM - Jiirgen Fischer
- Related to Bug report #16027: Editing GeoPackage from DWG/DXF Import after Save as Layer Definition File added
